org.springframework.util

## Class CommonsLogWriter

- java.lang.Object
- - java.io.Writer
  - - org.springframework.util.CommonsLogWriter

All Implemented Interfaces:
  Closeable, Flushable, Appendable, AutoCloseable

    public class CommonsLogWriter
    extends Writer

`java.io.Writer` adapter for a Commons Logging `Log`.

Since:
  2.5.1
Author:
  Juergen Hoeller

### Field Summary

### Fields inherited from class java.io.Writer

`lock`

### Constructor Summary

Constructors
Constructor and Description
`CommonsLogWriter(Log logger)` Create a new CommonsLogWriter for the given Commons Logging logger.

### Method Summary

Methods
`void` `close()`
`void` `flush()`
`void` `write(char ch)`
`void` `write(char[] buffer, int offset, int length)`

### Methods inherited from class java.io.Writer

`append, append, append, write, write, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommonsLogWriter

    public CommonsLogWriter(Log logger)

Create a new CommonsLogWriter for the given Commons Logging logger.

Parameters:
  `logger` - the Commons Logging logger to write to

### Method Detail

#### write

    public void write(char ch)

#### write

    public void write(char[] buffer,
             int offset,
             int length)

Specified by:
  `write` in class `Writer`

#### flush

    public void flush()

Specified by:
  `flush` in interface `Flushable`
Specified by:
  `flush` in class `Writer`

#### close

    public void close()

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in class `Writer`